Skip to main content

Employees

Employee information. Important fields here are first name and last name for display on the device. The 'pin' is the number with which they will appear on the device, and the 'code' is the password to validate their identity. This contains all information for the employee or user who will use the device for access control (acc) or attendance tracking (att).

Endpoints​

List all employees​

GET /public/v2/employees

Responses​

  • 200: OK

Create employee​

POST /public/v2/employees

Request Body (application/json)​

{
"employee": {
"id": 0,
"name": "string",
"lastname": "string",
"email": "string",
"pin": "string",
"code": "string",
"company_id": 0
}
}

Fields:

  • employee (object)

Responses​

  • 201: Created

Show employee​

GET /public/v2/employees/{id}

Parameters​

NameInTypeRequiredDescription
idpathstringYes

Responses​

  • 200: OK

Update employee​

PUT /public/v2/employees/{id}

Parameters​

NameInTypeRequiredDescription
idpathstringYes

Request Body (application/json)​

{
"employee": {
"id": 0,
"name": "string",
"lastname": "string",
"email": "string",
"pin": "string",
"code": "string",
"company_id": 0
}
}

Fields:

  • employee (object)

Responses​

  • 200: OK